Subject: RE: issue 21

From: "Gray, Eric" <[email-masked]>
Date: Thu, 26 Sep 2002 12:30:50 -0400

Yakov,

	Since part of the first charter item (both new and old
charters) was to determine whether the BGP specification can 
be advanced, shouldn't we have done a recent implementation
survey?  If we had, then we should know answers to questions
like these.

	It would make sense to have this information before we
close on modifications to the BGP specification anyway, both
to give substance to the intent that the new specification
reflects actual implementations and to avoid having to do
another round to remove features that are not implemented
or have not been interoperability tested in the field.

	If we have done such a survey recently, where are the
results posted?

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

> -----Original Message-----
> From: Kunihiro Ishiguro [mailto:[email-masked]]
> Sent: Thursday, September 26, 2002 11:23 AM
> To: Natale, Jonathan
> Cc: 'Yakov Rekhter'; [email-masked]
> Subject: Re: issue 21
> 
> I also thought nobody uses BGP own simple password auth.  It is not
> secure.  It is just a better than nothing kind of thing.  But MD5 auth
> is not supported by all of vendors.  Still there are vendors only can
> do simple password auth due to the limitation of TCP/IP stack
> capability (Zebra also suffer from it).  In that case BGP own simple
> password can be a only way.
> 
> Issue 21's main point is mentioning MD5 authentication along with BGP
> own password auth.  I agree with it and current text is enough for the
> purpose.  I know people actually uses BGP own auth (just a few though)
> so I hesitate to say that deprecating BGP own auth.
> 
> >Let me be more exact:
> >Who uses *BGP's own* authentication mechanisms???
> >
> >-----Original Message-----
> >From: Kunihiro Ishiguro [mailto:[email-masked]]
> >Sent: Thursday, September 26, 2002 10:46 AM
> >To: Natale, Jonathan
> >Cc: 'Yakov Rekhter'; [email-masked]
> >Subject: Re: issue 21
> >
> >>Who uses bgp authentication?  I though it was nobody. I thought the goal
> >was
> >>to document existing practice.
> >
> >Many people are using BGP authentication both simple text and MD5
> >authentication.  I've got many requests to implement it in
> >Zebra/ZebOS.  So I believe let the current text as it is will achieve
> >existing practice.
> >--
> >Kunihiro Ishiguro